/**
 * @name: connectionMysql
 * @author: alan
 * @date: 2022-09-13 18:26
 * @description：connectionMysql
 * @update: 2022-09-13 18:26
 */
const mysql = require('mysql');
const user_yongchao = {
  user: 'xuyongchao',
  password:'a+A123465',
  host: 'rr-uf6p67797265cm09fdo.mysql.rds.aliyuncs.com'
};
// 2. 建立与 MySQL 数据库的连接关系
let pica_db = null;
function pica_db_connect () {
   pica_db = mysql.createConnection({
    host:  user_yongchao.host, //'192.168.110.60', // 数据库的 IP 地址
    user: user_yongchao.user,  //'pica_test', // 登录数据库的账号
    password: user_yongchao.password,  //'pkv#sqvSGn@O1@tg', // 登录数据库的密码
    database: 'pica', // 指定要操作哪个数据库
  });

  pica_db.connect();
  pica_db.on('error', function (err) {
    logger.error('db error', err);
    if (err.code === 'PROTOCOL_CONNECTION_LOST') {
      logger.error('db error执行重连:' + err.message);
      pica_db_connect();
    } else {
      throw err;
    }
  });
};
pica_db_connect();

const pica_message_db = mysql.createConnection({
  host: '192.168.110.60', // 数据库的 IP 地址
  user: 'pica_test', // 登录数据库的账号
  password: 'pkv#sqvSGn@O1@tg', // 登录数据库的密码
  database: 'pica_message', // 指定要操作哪个数据库
});

pica_message_db.connect();

module.exports = {
  pica_db,
  pica_message_db
};
